diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/rewrite.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/rewrite.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/rewrite.php	2012-11-07 15:27:02.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/rewrite.php	2013-04-29 08:25:15.000000000 -0500
***************
*** 89,95 ****
  		$wp_rewrite->feeds[] = $feedname;
  	$hook = 'do_feed_' . $feedname;
  	// Remove default function hook
! 	remove_action($hook, $hook, 10, 1);
  	add_action($hook, $function, 10, 1);
  	return $hook;
  }
--- 89,95 ----
  		$wp_rewrite->feeds[] = $feedname;
  	$hook = 'do_feed_' . $feedname;
  	// Remove default function hook
! 	remove_action($hook, $hook);
  	add_action($hook, $function, 10, 1);
  	return $hook;
  }
***************
*** 315,321 ****
  
  	// Strip 'index.php/' if we're not using path info permalinks
  	if ( !$wp_rewrite->using_index_permalinks() )
! 		$url = str_replace('index.php/', '', $url);
  
  	if ( false !== strpos($url, home_url()) ) {
  		// Chop off http://domain.com
--- 315,321 ----
  
  	// Strip 'index.php/' if we're not using path info permalinks
  	if ( !$wp_rewrite->using_index_permalinks() )
! 		$url = str_replace( $wp_rewrite->index . '/', '', $url );
  
  	if ( false !== strpos($url, home_url()) ) {
  		// Chop off http://domain.com
***************
*** 1552,1558 ****
  		$root_rewrite = apply_filters('root_rewrite_rules', $root_rewrite);
  
  		// Comments
! 		$comments_rewrite = $this->generate_rewrite_rules($this->root . $this->comments_base, EP_COMMENTS, true, true, true, false);
  		$comments_rewrite = apply_filters('comments_rewrite_rules', $comments_rewrite);
  
  		// Search
--- 1552,1558 ----
  		$root_rewrite = apply_filters('root_rewrite_rules', $root_rewrite);
  
  		// Comments
! 		$comments_rewrite = $this->generate_rewrite_rules($this->root . $this->comments_base, EP_COMMENTS, false, true, true, false);
  		$comments_rewrite = apply_filters('comments_rewrite_rules', $comments_rewrite);
  
  		// Search
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/rss.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/rss.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/rss.php	2013-06-21 01:12:17.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/rss.php	2013-07-31 01:53:06.000000000 -0500
***************
*** 422,428 ****
  	else {
  		// Flow
  		// 1. check cache
! 		// 2. if there is a hit, make sure its fresh
  		// 3. if cached obj fails freshness check, fetch remote
  		// 4. if remote fails, return stale object, or error
  
--- 422,428 ----
  	else {
  		// Flow
  		// 1. check cache
! 		// 2. if there is a hit, make sure it's fresh
  		// 3. if cached obj fails freshness check, fetch remote
  		// 4. if remote fails, return stale object, or error
  
***************
*** 536,542 ****
   * @return Snoopy style response
   */
  function _fetch_remote_file($url, $headers = "" ) {
! 	$resp = wp_remote_request($url, array('headers' => $headers, 'timeout' => MAGPIE_FETCH_TIME_OUT, 'reject_unsafe_urls' => true ));
  	if ( is_wp_error($resp) ) {
  		$error = array_shift($resp->errors);
  
--- 536,542 ----
   * @return Snoopy style response
   */
  function _fetch_remote_file($url, $headers = "" ) {
! 	$resp = wp_safe_remote_request( $url, array( 'headers' => $headers, 'timeout' => MAGPIE_FETCH_TIME_OUT ) );
  	if ( is_wp_error($resp) ) {
  		$error = array_shift($resp->errors);
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/script-loader.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/script-loader.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/script-loader.php	2013-06-21 04:29:58.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/script-loader.php	2013-08-01 08:47:23.000000000 -0500
***************
*** 75,83 ****
  
  	$scripts->add( 'quicktags', "/wp-includes/js/quicktags$suffix.js", array(), false, 1 );
  	did_action( 'init' ) && $scripts->localize( 'quicktags', 'quicktagsL10n', array(
- 		'wordLookup' => __('Enter a word to look up:'),
- 		'dictionaryLookup' => esc_attr(__('Dictionary lookup')),
- 		'lookup' => esc_attr(__('lookup')),
  		'closeAllOpenTags' => esc_attr(__('Close all open tags')),
  		'closeTags' => esc_attr(__('close tags')),
  		'enterURL' => __('Enter the URL'),
--- 75,80 ----
***************
*** 108,113 ****
--- 105,121 ----
  
  	$scripts->add( 'autosave', "/wp-includes/js/autosave$suffix.js", array('schedule', 'wp-ajax-response'), false, 1 );
  
+ 	$scripts->add( 'heartbeat', "/wp-includes/js/heartbeat$suffix.js", array('jquery'), false, 1 );
+ 	did_action( 'init' ) && $scripts->localize( 'heartbeat', 'heartbeatSettings',
+ 		apply_filters( 'heartbeat_settings', array() )
+ 	);
+ 
+ 	$scripts->add( 'wp-auth-check', "/wp-includes/js/wp-auth-check$suffix.js", array('heartbeat'), false, 1 );
+ 	did_action( 'init' ) && $scripts->localize( 'wp-auth-check', 'authcheckL10n', array(
+ 		'beforeunload' => __('Your session has expired. You can log in again from this page or go to the login page.'),
+ 		'interval' => apply_filters( 'wp_auth_check_interval', 3 * MINUTE_IN_SECONDS ),
+ 	) );
+ 
  	$scripts->add( 'wp-lists', "/wp-includes/js/wp-lists$suffix.js", array( 'wp-ajax-response', 'jquery-color' ), false, 1 );
  
  	// WordPress no longer uses or bundles Prototype or script.aculo.us. These are now pulled from an external source.
***************
*** 124,174 ****
  	// not used in core, replaced by Jcrop.js
  	$scripts->add( 'cropper', '/wp-includes/js/crop/cropper.js', array('scriptaculous-dragdrop') );
  
! 	$scripts->add( 'jquery', '/wp-includes/js/jquery/jquery.js', array(), '1.8.3' );
  
  	// full jQuery UI
! 	$scripts->add( 'jquery-ui-core', '/wp-includes/js/jquery/ui/jquery.ui.core.min.js', array('jquery'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-effects-core', '/wp-includes/js/jquery/ui/jquery.ui.effect.min.js', array('jquery'), '1.9.2', 1 );
  
! 	$scripts->add( 'jquery-effects-blind', '/wp-includes/js/jquery/ui/jquery.ui.effect-blind.min.js', array('jquery-effects-core'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-effects-bounce', '/wp-includes/js/jquery/ui/jquery.ui.effect-bounce.min.js', array('jquery-effects-core'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-effects-clip', '/wp-includes/js/jquery/ui/jquery.ui.effect-clip.min.js', array('jquery-effects-core'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-effects-drop', '/wp-includes/js/jquery/ui/jquery.ui.effect-drop.min.js', array('jquery-effects-core'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-effects-explode', '/wp-includes/js/jquery/ui/jquery.ui.effect-explode.min.js', array('jquery-effects-core'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-effects-fade', '/wp-includes/js/jquery/ui/jquery.ui.effect-fade.min.js', array('jquery-effects-core'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-effects-fold', '/wp-includes/js/jquery/ui/jquery.ui.effect-fold.min.js', array('jquery-effects-core'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-effects-highlight', '/wp-includes/js/jquery/ui/jquery.ui.effect-highlight.min.js', array('jquery-effects-core'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-effects-pulsate', '/wp-includes/js/jquery/ui/jquery.ui.effect-pulsate.min.js', array('jquery-effects-core'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-effects-scale', '/wp-includes/js/jquery/ui/jquery.ui.effect-scale.min.js', array('jquery-effects-core'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-effects-shake', '/wp-includes/js/jquery/ui/jquery.ui.effect-shake.min.js', array('jquery-effects-core'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-effects-slide', '/wp-includes/js/jquery/ui/jquery.ui.effect-slide.min.js', array('jquery-effects-core'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-effects-transfer', '/wp-includes/js/jquery/ui/jquery.ui.effect-transfer.min.js', array('jquery-effects-core'), '1.9.2', 1 );
! 
! 	$scripts->add( 'jquery-ui-accordion', '/wp-includes/js/jquery/ui/jquery.ui.accordion.min.js', array('jquery-ui-core', 'jquery-ui-widget'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-ui-autocomplete', '/wp-includes/js/jquery/ui/jquery.ui.autocomplete.min.js', array('jquery-ui-core', 'jquery-ui-widget', 'jquery-ui-position', 'jquery-ui-menu'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-ui-button', '/wp-includes/js/jquery/ui/jquery.ui.button.min.js', array('jquery-ui-core', 'jquery-ui-widget'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-ui-datepicker', '/wp-includes/js/jquery/ui/jquery.ui.datepicker.min.js', array('jquery-ui-core'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-ui-dialog', '/wp-includes/js/jquery/ui/jquery.ui.dialog.min.js', array('jquery-ui-resizable', 'jquery-ui-draggable', 'jquery-ui-button', 'jquery-ui-position'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-ui-draggable', '/wp-includes/js/jquery/ui/jquery.ui.draggable.min.js', array('jquery-ui-core', 'jquery-ui-mouse'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-ui-droppable', '/wp-includes/js/jquery/ui/jquery.ui.droppable.min.js', array('jquery-ui-draggable'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-ui-menu', '/wp-includes/js/jquery/ui/jquery.ui.menu.min.js', array( 'jquery-ui-core', 'jquery-ui-widget', 'jquery-ui-position' ), '1.9.2', 1 );
! 	$scripts->add( 'jquery-ui-mouse', '/wp-includes/js/jquery/ui/jquery.ui.mouse.min.js', array('jquery-ui-widget'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-ui-position', '/wp-includes/js/jquery/ui/jquery.ui.position.min.js', array('jquery'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-ui-progressbar', '/wp-includes/js/jquery/ui/jquery.ui.progressbar.min.js', array('jquery-ui-widget'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-ui-resizable', '/wp-includes/js/jquery/ui/jquery.ui.resizable.min.js', array('jquery-ui-core', 'jquery-ui-mouse'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-ui-selectable', '/wp-includes/js/jquery/ui/jquery.ui.selectable.min.js', array('jquery-ui-core', 'jquery-ui-mouse'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-ui-slider', '/wp-includes/js/jquery/ui/jquery.ui.slider.min.js', array('jquery-ui-core', 'jquery-ui-mouse'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-ui-sortable', '/wp-includes/js/jquery/ui/jquery.ui.sortable.min.js', array('jquery-ui-core', 'jquery-ui-mouse'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-ui-spinner', '/wp-includes/js/jquery/ui/jquery.ui.spinner.min.js', array( 'jquery-ui-core', 'jquery-ui-widget', 'jquery-ui-button' ), '1.9.2', 1 );
! 	$scripts->add( 'jquery-ui-tabs', '/wp-includes/js/jquery/ui/jquery.ui.tabs.min.js', array('jquery-ui-core', 'jquery-ui-widget'), '1.9.2', 1 );
! 	$scripts->add( 'jquery-ui-tooltip', '/wp-includes/js/jquery/ui/jquery.ui.tooltip.min.js', array( 'jquery-ui-core', 'jquery-ui-widget', 'jquery-ui-position' ), '1.9.2', 1 );
! 	$scripts->add( 'jquery-ui-widget', '/wp-includes/js/jquery/ui/jquery.ui.widget.min.js', array('jquery'), '1.9.2', 1 );
  
  	// deprecated, not used in core, most functionality is included in jQuery 1.3
  	$scripts->add( 'jquery-form', "/wp-includes/js/jquery/jquery.form$suffix.js", array('jquery'), '2.73', 1 );
  
  	// jQuery plugins
! 	$scripts->add( 'jquery-color', "/wp-includes/js/jquery/jquery.color.min.js", array('jquery'), '2.1.0', 1 );
  	$scripts->add( 'suggest', "/wp-includes/js/jquery/suggest$suffix.js", array('jquery'), '1.1-20110113', 1 );
  	$scripts->add( 'schedule', '/wp-includes/js/jquery/jquery.schedule.js', array('jquery'), '20m', 1 );
  	$scripts->add( 'jquery-query', "/wp-includes/js/jquery/jquery.query.js", array('jquery'), '2.1.7', 1 );
--- 132,185 ----
  	// not used in core, replaced by Jcrop.js
  	$scripts->add( 'cropper', '/wp-includes/js/crop/cropper.js', array('scriptaculous-dragdrop') );
  
! 	// jQuery
! 	$scripts->add( 'jquery', false, array( 'jquery-core', 'jquery-migrate' ), '1.10.2' );
! 	$scripts->add( 'jquery-core', '/wp-includes/js/jquery/jquery.js', array(), '1.10.2' );
! 	$scripts->add( 'jquery-migrate', "/wp-includes/js/jquery/jquery-migrate$suffix.js", array(), '1.2.1' );
  
  	// full jQuery UI
! 	$scripts->add( 'jquery-ui-core', '/wp-includes/js/jquery/ui/jquery.ui.core.min.js', array('jquery'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-effects-core', '/wp-includes/js/jquery/ui/jquery.ui.effect.min.js', array('jquery'), '1.10.3', 1 );
  
! 	$scripts->add( 'jquery-effects-blind', '/wp-includes/js/jquery/ui/jquery.ui.effect-blind.min.js', array('jquery-effects-core'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-effects-bounce', '/wp-includes/js/jquery/ui/jquery.ui.effect-bounce.min.js', array('jquery-effects-core'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-effects-clip', '/wp-includes/js/jquery/ui/jquery.ui.effect-clip.min.js', array('jquery-effects-core'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-effects-drop', '/wp-includes/js/jquery/ui/jquery.ui.effect-drop.min.js', array('jquery-effects-core'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-effects-explode', '/wp-includes/js/jquery/ui/jquery.ui.effect-explode.min.js', array('jquery-effects-core'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-effects-fade', '/wp-includes/js/jquery/ui/jquery.ui.effect-fade.min.js', array('jquery-effects-core'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-effects-fold', '/wp-includes/js/jquery/ui/jquery.ui.effect-fold.min.js', array('jquery-effects-core'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-effects-highlight', '/wp-includes/js/jquery/ui/jquery.ui.effect-highlight.min.js', array('jquery-effects-core'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-effects-pulsate', '/wp-includes/js/jquery/ui/jquery.ui.effect-pulsate.min.js', array('jquery-effects-core'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-effects-scale', '/wp-includes/js/jquery/ui/jquery.ui.effect-scale.min.js', array('jquery-effects-core'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-effects-shake', '/wp-includes/js/jquery/ui/jquery.ui.effect-shake.min.js', array('jquery-effects-core'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-effects-slide', '/wp-includes/js/jquery/ui/jquery.ui.effect-slide.min.js', array('jquery-effects-core'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-effects-transfer', '/wp-includes/js/jquery/ui/jquery.ui.effect-transfer.min.js', array('jquery-effects-core'), '1.10.3', 1 );
! 
! 	$scripts->add( 'jquery-ui-accordion', '/wp-includes/js/jquery/ui/jquery.ui.accordion.min.js', array('jquery-ui-core', 'jquery-ui-widget'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-ui-autocomplete', '/wp-includes/js/jquery/ui/jquery.ui.autocomplete.min.js', array('jquery-ui-core', 'jquery-ui-widget', 'jquery-ui-position', 'jquery-ui-menu'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-ui-button', '/wp-includes/js/jquery/ui/jquery.ui.button.min.js', array('jquery-ui-core', 'jquery-ui-widget'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-ui-datepicker', '/wp-includes/js/jquery/ui/jquery.ui.datepicker.min.js', array('jquery-ui-core'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-ui-dialog', '/wp-includes/js/jquery/ui/jquery.ui.dialog.min.js', array('jquery-ui-resizable', 'jquery-ui-draggable', 'jquery-ui-button', 'jquery-ui-position'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-ui-draggable', '/wp-includes/js/jquery/ui/jquery.ui.draggable.min.js', array('jquery-ui-core', 'jquery-ui-mouse'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-ui-droppable', '/wp-includes/js/jquery/ui/jquery.ui.droppable.min.js', array('jquery-ui-draggable'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-ui-menu', '/wp-includes/js/jquery/ui/jquery.ui.menu.min.js', array( 'jquery-ui-core', 'jquery-ui-widget', 'jquery-ui-position' ), '1.10.3', 1 );
! 	$scripts->add( 'jquery-ui-mouse', '/wp-includes/js/jquery/ui/jquery.ui.mouse.min.js', array('jquery-ui-widget'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-ui-position', '/wp-includes/js/jquery/ui/jquery.ui.position.min.js', array('jquery'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-ui-progressbar', '/wp-includes/js/jquery/ui/jquery.ui.progressbar.min.js', array('jquery-ui-widget'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-ui-resizable', '/wp-includes/js/jquery/ui/jquery.ui.resizable.min.js', array('jquery-ui-core', 'jquery-ui-mouse'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-ui-selectable', '/wp-includes/js/jquery/ui/jquery.ui.selectable.min.js', array('jquery-ui-core', 'jquery-ui-mouse'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-ui-slider', '/wp-includes/js/jquery/ui/jquery.ui.slider.min.js', array('jquery-ui-core', 'jquery-ui-mouse'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-ui-sortable', '/wp-includes/js/jquery/ui/jquery.ui.sortable.min.js', array('jquery-ui-core', 'jquery-ui-mouse'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-ui-spinner', '/wp-includes/js/jquery/ui/jquery.ui.spinner.min.js', array( 'jquery-ui-core', 'jquery-ui-widget', 'jquery-ui-button' ), '1.10.3', 1 );
! 	$scripts->add( 'jquery-ui-tabs', '/wp-includes/js/jquery/ui/jquery.ui.tabs.min.js', array('jquery-ui-core', 'jquery-ui-widget'), '1.10.3', 1 );
! 	$scripts->add( 'jquery-ui-tooltip', '/wp-includes/js/jquery/ui/jquery.ui.tooltip.min.js', array( 'jquery-ui-core', 'jquery-ui-widget', 'jquery-ui-position' ), '1.10.3', 1 );
! 	$scripts->add( 'jquery-ui-widget', '/wp-includes/js/jquery/ui/jquery.ui.widget.min.js', array('jquery'), '1.10.3', 1 );
  
  	// deprecated, not used in core, most functionality is included in jQuery 1.3
  	$scripts->add( 'jquery-form', "/wp-includes/js/jquery/jquery.form$suffix.js", array('jquery'), '2.73', 1 );
  
  	// jQuery plugins
! 	$scripts->add( 'jquery-color', "/wp-includes/js/jquery/jquery.color.min.js", array('jquery'), '2.1.1', 1 );
  	$scripts->add( 'suggest', "/wp-includes/js/jquery/suggest$suffix.js", array('jquery'), '1.1-20110113', 1 );
  	$scripts->add( 'schedule', '/wp-includes/js/jquery/jquery.schedule.js', array('jquery'), '20m', 1 );
  	$scripts->add( 'jquery-query', "/wp-includes/js/jquery/jquery.query.js", array('jquery'), '2.1.7', 1 );
***************
*** 226,239 ****
  		'error_uploading' => __('&#8220;%s&#8221; has failed to upload.')
  	);
  
! 	$scripts->add( 'plupload', '/wp-includes/js/plupload/plupload.js', array(), '1.5.5' );
! 	$scripts->add( 'plupload-html5', '/wp-includes/js/plupload/plupload.html5.js', array('plupload'), '1.5.5' );
! 	$scripts->add( 'plupload-flash', '/wp-includes/js/plupload/plupload.flash.js', array('plupload'), '1.5.5' );
! 	$scripts->add( 'plupload-silverlight', '/wp-includes/js/plupload/plupload.silverlight.js', array('plupload'), '1.5.5' );
! 	$scripts->add( 'plupload-html4', '/wp-includes/js/plupload/plupload.html4.js', array('plupload'), '1.5.5' );
  
  	// cannot use the plupload.full.js, as it loads browserplus init JS from Yahoo
! 	$scripts->add( 'plupload-all', false, array('plupload', 'plupload-html5', 'plupload-flash', 'plupload-silverlight', 'plupload-html4'), '1.5.5' );
  
  	$scripts->add( 'plupload-handlers', "/wp-includes/js/plupload/handlers$suffix.js", array('plupload-all', 'jquery') );
  	did_action( 'init' ) && $scripts->localize( 'plupload-handlers', 'pluploadL10n', $uploader_l10n );
--- 237,250 ----
  		'error_uploading' => __('&#8220;%s&#8221; has failed to upload.')
  	);
  
! 	$scripts->add( 'plupload', '/wp-includes/js/plupload/plupload.js', array(), '1.5.7' );
! 	$scripts->add( 'plupload-html5', '/wp-includes/js/plupload/plupload.html5.js', array('plupload'), '1.5.7' );
! 	$scripts->add( 'plupload-flash', '/wp-includes/js/plupload/plupload.flash.js', array('plupload'), '1.5.7' );
! 	$scripts->add( 'plupload-silverlight', '/wp-includes/js/plupload/plupload.silverlight.js', array('plupload'), '1.5.7' );
! 	$scripts->add( 'plupload-html4', '/wp-includes/js/plupload/plupload.html4.js', array('plupload'), '1.5.7' );
  
  	// cannot use the plupload.full.js, as it loads browserplus init JS from Yahoo
! 	$scripts->add( 'plupload-all', false, array('plupload', 'plupload-html5', 'plupload-flash', 'plupload-silverlight', 'plupload-html4'), '1.5.7' );
  
  	$scripts->add( 'plupload-handlers', "/wp-includes/js/plupload/handlers$suffix.js", array('plupload-all', 'jquery') );
  	did_action( 'init' ) && $scripts->localize( 'plupload-handlers', 'pluploadL10n', $uploader_l10n );
***************
*** 254,264 ****
  
  	$scripts->add( 'json2', "/wp-includes/js/json2$suffix.js", array(), '2011-02-23');
  
! 	$scripts->add( 'underscore', '/wp-includes/js/underscore.min.js', array(), '1.4.0', 1 );
! 	$scripts->add( 'backbone', '/wp-includes/js/backbone.min.js', array('underscore','jquery'), '0.9.2', 1 );
  
  	$scripts->add( 'imgareaselect', "/wp-includes/js/imgareaselect/jquery.imgareaselect$suffix.js", array('jquery'), '0.9.8', 1 );
  
  	$scripts->add( 'password-strength-meter', "/wp-admin/js/password-strength-meter$suffix.js", array('jquery'), false, 1 );
  	did_action( 'init' ) && $scripts->localize( 'password-strength-meter', 'pwsL10n', array(
  		'empty' => __('Strength indicator'),
--- 265,311 ----
  
  	$scripts->add( 'json2', "/wp-includes/js/json2$suffix.js", array(), '2011-02-23');
  
! 	$scripts->add( 'underscore', '/wp-includes/js/underscore.min.js', array(), '1.4.4', 1 );
! 	$scripts->add( 'backbone', '/wp-includes/js/backbone.min.js', array('underscore','jquery'), '1.0.0', 1 );
! 
! 	$scripts->add( 'wp-util', "/wp-includes/js/wp-util$suffix.js", array('underscore', 'jquery'), false, 1 );
! 	did_action( 'init' ) && $scripts->localize( 'wp-util', '_wpUtilSettings', array(
! 		'ajax' => array(
! 			'url' => admin_url( 'admin-ajax.php', 'relative' ),
! 		),
! 	) );
! 
! 	$scripts->add( 'wp-backbone', "/wp-includes/js/wp-backbone$suffix.js", array('backbone', 'wp-util'), false, 1 );
! 
! 	$scripts->add( 'revisions', "/wp-admin/js/revisions$suffix.js", array( 'wp-backbone', 'jquery-ui-slider', 'hoverIntent' ), false, 1 );
  
  	$scripts->add( 'imgareaselect', "/wp-includes/js/imgareaselect/jquery.imgareaselect$suffix.js", array('jquery'), '0.9.8', 1 );
  
+ 	$scripts->add( 'mediaelement', "/wp-includes/js/mediaelement/mediaelement-and-player.min.js", array('jquery'), '2.13.0', 1 );
+ 	did_action( 'init' ) && $scripts->localize( 'mediaelement', 'mejsL10n', array(
+ 		'language' => get_bloginfo( 'language' ),
+ 		'strings'  => array(
+ 			'Close'               => __( 'Close' ),
+ 			'Fullscreen'          => __( 'Fullscreen' ),
+ 			'Download File'       => __( 'Download File' ),
+ 			'Download Video'      => __( 'Download Video' ),
+ 			'Play/Pause'          => __( 'Play/Pause' ),
+ 			'Mute Toggle'         => __( 'Mute Toggle' ),
+ 			'None'                => __( 'None' ),
+ 			'Turn off Fullscreen' => __( 'Turn off Fullscreen' ),
+ 			'Go Fullscreen'       => __( 'Go Fullscreen' ),
+ 			'Unmute'              => __( 'Unmute' ),
+ 			'Mute'                => __( 'Mute' ),
+ 			'Captions/Subtitles'  => __( 'Captions/Subtitles' )
+ 		),
+ 	) );
+ 
+ 
+ 	$scripts->add( 'wp-mediaelement', "/wp-includes/js/mediaelement/wp-mediaelement.js", array('mediaelement'), false, 1 );
+ 	did_action( 'init' ) && $scripts->localize( 'wp-mediaelement', '_wpmejsSettings', array(
+ 		'pluginPath' => includes_url( 'js/mediaelement/', 'relative' ),
+ 	) );
+ 
  	$scripts->add( 'password-strength-meter', "/wp-admin/js/password-strength-meter$suffix.js", array('jquery'), false, 1 );
  	did_action( 'init' ) && $scripts->localize( 'password-strength-meter', 'pwsL10n', array(
  		'empty' => __('Strength indicator'),
***************
*** 298,304 ****
  
  	$scripts->add( 'media-upload', "/wp-admin/js/media-upload$suffix.js", array( 'thickbox', 'shortcode' ), false, 1 );
  
! 	$scripts->add( 'hoverIntent', "/wp-includes/js/hoverIntent$suffix.js", array('jquery'), 'r6', 1 );
  
  	$scripts->add( 'customize-base',     "/wp-includes/js/customize-base$suffix.js",     array( 'jquery', 'json2' ), false, 1 );
  	$scripts->add( 'customize-loader',   "/wp-includes/js/customize-loader$suffix.js",   array( 'customize-base' ), false, 1 );
--- 345,351 ----
  
  	$scripts->add( 'media-upload', "/wp-admin/js/media-upload$suffix.js", array( 'thickbox', 'shortcode' ), false, 1 );
  
! 	$scripts->add( 'hoverIntent', "/wp-includes/js/hoverIntent$suffix.js", array('jquery'), 'r7', 1 );
  
  	$scripts->add( 'customize-base',     "/wp-includes/js/customize-base$suffix.js",     array( 'jquery', 'json2' ), false, 1 );
  	$scripts->add( 'customize-loader',   "/wp-includes/js/customize-loader$suffix.js",   array( 'customize-base' ), false, 1 );
***************
*** 316,323 ****
  		'allowedFiles' => __( 'Allowed Files' ),
  	) );
  
  	$scripts->add( 'shortcode', "/wp-includes/js/shortcode$suffix.js", array( 'underscore' ), false, 1 );
! 	$scripts->add( 'media-models', "/wp-includes/js/media-models$suffix.js", array( 'backbone', 'jquery' ), false, 1 );
  	did_action( 'init' ) && $scripts->localize( 'media-models', '_wpMediaModelsL10n', array(
  		'settings' => array(
  			'ajaxurl' => admin_url( 'admin-ajax.php', 'relative' ),
--- 363,372 ----
  		'allowedFiles' => __( 'Allowed Files' ),
  	) );
  
+ 	$scripts->add( 'accordion', "/wp-admin/js/accordion$suffix.js", array( 'jquery' ), false, 1 );
+ 
  	$scripts->add( 'shortcode', "/wp-includes/js/shortcode$suffix.js", array( 'underscore' ), false, 1 );
! 	$scripts->add( 'media-models', "/wp-includes/js/media-models$suffix.js", array( 'wp-backbone' ), false, 1 );
  	did_action( 'init' ) && $scripts->localize( 'media-models', '_wpMediaModelsL10n', array(
  		'settings' => array(
  			'ajaxurl' => admin_url( 'admin-ajax.php', 'relative' ),
***************
*** 339,354 ****
  			'how' => __('Separate multiple categories with commas.')
  		) );
  
- 		$scripts->add( 'admin-categories', "/wp-admin/js/categories$suffix.js", array('wp-lists'), false, 1 );
- 
  		$scripts->add( 'admin-tags', "/wp-admin/js/tags$suffix.js", array('jquery', 'wp-ajax-response'), false, 1 );
  		did_action( 'init' ) && $scripts->localize( 'admin-tags', 'tagsl10n', array(
  			'noPerm' => __('You do not have permission to do that.'),
  			'broken' => __('An unidentified error has occurred.')
  		));
  
- 		$scripts->add( 'admin-custom-fields', "/wp-admin/js/custom-fields$suffix.js", array('wp-lists'), false, 1 );
- 
  		$scripts->add( 'admin-comments', "/wp-admin/js/edit-comments$suffix.js", array('wp-lists', 'quicktags', 'jquery-query'), false, 1 );
  		did_action( 'init' ) && $scripts->localize( 'admin-comments', 'adminCommentsL10n', array(
  			'hotkeys_highlight_first' => isset($_GET['hotkeys_highlight_first']),
--- 388,399 ----
***************
*** 361,373 ****
  
  		$scripts->add( 'postbox', "/wp-admin/js/postbox$suffix.js", array('jquery-ui-sortable'), false, 1 );
  
! 		$scripts->add( 'post', "/wp-admin/js/post$suffix.js", array('suggest', 'wp-lists', 'postbox'), false, 1 );
  		did_action( 'init' ) && $scripts->localize( 'post', 'postL10n', array(
  			'ok' => __('OK'),
  			'cancel' => __('Cancel'),
  			'publishOn' => __('Publish on:'),
  			'publishOnFuture' =>  __('Schedule for:'),
  			'publishOnPast' => __('Published on:'),
  			'showcomm' => __('Show more comments'),
  			'endcomm' => __('No more comments found.'),
  			'publish' => __('Publish'),
--- 406,420 ----
  
  		$scripts->add( 'postbox', "/wp-admin/js/postbox$suffix.js", array('jquery-ui-sortable'), false, 1 );
  
! 		$scripts->add( 'post', "/wp-admin/js/post$suffix.js", array('suggest', 'wp-lists', 'postbox', 'heartbeat'), false, 1 );
  		did_action( 'init' ) && $scripts->localize( 'post', 'postL10n', array(
  			'ok' => __('OK'),
  			'cancel' => __('Cancel'),
  			'publishOn' => __('Publish on:'),
  			'publishOnFuture' =>  __('Schedule for:'),
  			'publishOnPast' => __('Published on:'),
+ 			/* translators: 1: month, 2: day, 3: year, 4: hour, 5: minute */
+ 			'dateFormat' => __('%1$s %2$s, %3$s @ %4$s : %5$s'),
  			'showcomm' => __('Show more comments'),
  			'endcomm' => __('No more comments found.'),
  			'publish' => __('Publish'),
***************
*** 401,407 ****
  		// @todo: Core no longer uses theme-preview.js. Remove?
  		$scripts->add( 'theme-preview', "/wp-admin/js/theme-preview$suffix.js", array( 'thickbox', 'jquery' ), false, 1 );
  
! 		$scripts->add( 'inline-edit-post', "/wp-admin/js/inline-edit-post$suffix.js", array( 'jquery', 'suggest' ), false, 1 );
  		did_action( 'init' ) && $scripts->localize( 'inline-edit-post', 'inlineEditL10n', array(
  			'error' => __('Error while saving the changes.'),
  			'ntdeltitle' => __('Remove From Bulk Edit'),
--- 448,454 ----
  		// @todo: Core no longer uses theme-preview.js. Remove?
  		$scripts->add( 'theme-preview', "/wp-admin/js/theme-preview$suffix.js", array( 'thickbox', 'jquery' ), false, 1 );
  
! 		$scripts->add( 'inline-edit-post', "/wp-admin/js/inline-edit-post$suffix.js", array( 'jquery', 'suggest', 'heartbeat' ), false, 1 );
  		did_action( 'init' ) && $scripts->localize( 'inline-edit-post', 'inlineEditL10n', array(
  			'error' => __('Error while saving the changes.'),
  			'ntdeltitle' => __('Remove From Bulk Edit'),
***************
*** 522,527 ****
--- 569,578 ----
  	$styles->add( 'customize-controls', "/wp-admin/css/customize-controls$suffix.css", array( 'wp-admin', 'colors', 'ie' ) );
  	$styles->add( 'media-views', "/wp-includes/css/media-views$suffix.css", array( 'buttons' ) );
  	$styles->add( 'buttons', "/wp-includes/css/buttons$suffix.css" );
+ 	$styles->add( 'wp-auth-check', "/wp-includes/css/wp-auth-check$suffix.css" );
+ 
+ 	$styles->add( 'mediaelement', "/wp-includes/js/mediaelement/mediaelementplayer.min.css", array(), '2.13.0' );
+ 	$styles->add( 'wp-mediaelement', "/wp-includes/js/mediaelement/wp-mediaelement.css", array( 'mediaelement' ) );
  
  	foreach ( $rtl_styles as $rtl_style ) {
  		$styles->add_data( $rtl_style, 'rtl', true );
***************
*** 567,573 ****
  	wp_localize_script( 'autosave', 'autosaveL10n', array(
  		'autosaveInterval' => AUTOSAVE_INTERVAL,
  		'savingText' => __('Saving Draft&#8230;'),
! 		'saveAlert' => __('The changes you made will be lost if you navigate away from this page.')
  	) );
  
  }
--- 618,625 ----
  	wp_localize_script( 'autosave', 'autosaveL10n', array(
  		'autosaveInterval' => AUTOSAVE_INTERVAL,
  		'savingText' => __('Saving Draft&#8230;'),
! 		'saveAlert' => __('The changes you made will be lost if you navigate away from this page.'),
! 		'blog_id' => get_current_blog_id(),
  	) );
  
  }
